<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include "include/label.php";
$lpid=SafeRequest("id","get","zr");
if(IsNul($lpid)){
	$lpids=$lpid;
	$lpids=ReplaceStr($lpids,",","_");
}else{
	global $db;
	$sql="select S_ID from S_Video where S_IsEnd=0 order by rand() desc";
	$rs=$db->query($sql);
	$num=$db->num_rows($rs);
	if($num==0){
		$lpids=$lpids.'';
	}else{
		$nums=30;
		if($num<$nums){
			$j=$num;
		}else{
			$j=$nums;
		}
		for($i=0;$i<$j;$i++){
			$row=$db->fetch_array($rs);
			$lpids=$lpids.$row["S_ID"].",";
		}
		$lpids=$lpids.']';
		$lpids=ReplaceStr($lpids,",]","");
		$lpids=ReplaceStr($lpids,",","_");
	}
}
$tplpath=_CHSHDJ_ROOT_.S_Templateurl."playsong.html";
if(file_exists($tplpath)){
	$Mark_Text=@file_get_contents($tplpath);
	$Mark_Text=ReplaceStr($Mark_Text,"{chshdjcms:lpid}",$lpids);
	$Mark_Text=Common_Mark($Mark_Text,0);
	echo $Mark_Text;
}else{
	die("playsong.html模板文件不存在！");
}	
?>